Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.sdk.providers
Class CIBProviderHandlerImpl

    java.lang.Object
      com.sun.mfwk.cib.sdk.providers.CIBProviderHandlerImpl

All Implemented Interfaces:
  CIBProviderHandler

public class CIBProviderHandlerImpl
extends java.lang.Object
implements CIBProviderHandler

Provides a default implementation of a CIBProviderHandler. The four default providers are created associated to each monitored object - statistic provider - Operational status provider - Availability status provider - Configuration provider

Field Summary

Fields inherited from interface com.sun.mfwk.cib.providers.CIBProviderHandler
`APPLICATION_CONFIG_TYPE, APPLICATION_PERFSTATS_TYPE, APPLICATION_STATE_TYPE, EXTERNALRESOURCE_CONFIG_TYPE, EXTERNALRESOURCE_PERFSTATS_TYPE, EXTERNALRESOURCE_STATE_TYPE, RESOURCE_CONFIG_TYPE, RESOURCE_PERFSTATS_TYPE, RESOURCE_STATE_TYPE, SERVICE_CONFIG_TYPE, SERVICE_PERFSTATS_TYPE, SERVICE_STATE_TYPE`

Constructor Summary
`CIBProviderHandlerImpl(javax.management.MBeanServerConnection connection)` Constructor
`CIBProviderHandlerImpl(MfDiscoveryInfo config)` Constructor

Method Summary
`void` | `addApplicationProviders(CIBApplicationMBean application, CIBServiceMBean[] services)` Add providers for a CIBApplication
`void` | `createApplicationProviders(CIBApplicationMBean application)` Create providers for a CIBApplication
`void` | `createExternalResourceProviders(CIBExternalResourceMBean externalResource)` Create providers for a CIBExternalResource
`void` | `createExternalResourceProviders(CIBExternalResourceMBean externalResource, java.util.Map map)` Create providers for a CIBExternalResource
`void` | `createProviders(CIBMonitoredObjectMBean monitoredObject)` Allows to create the specific providers depending on the Monitorred object type
`void` | `createResourceProviders(CIBResourceMBean resource)` Create providers for a CIBResource
`void` | `createResourceProviders(CIBResourceMBean resource, java.util.Map map)` Create providers for a CIBResource
`void` | `createServiceProviders(CIBServiceMBean service)` Create providers for a CIBService
`void` | `createServiceProviders(CIBServiceMBean service, java.util.Map map)` Create providers for a CIBService
`CIBAvailabilityStatusState` | `getAvailabilityStatusState(CIBMonitoredObjectMBean monitoreObject, int stateType)` getAvailabilityStatusState
`CIBConfiguration` | `getConfiguration(CIBMonitoredObjectMBean monitoreObject, int configType)` getConfiguration
`CIBOperationalStatusState` | `getOperationalStatusState(CIBMonitoredObjectMBean monitoreObject, int stateType)` getOperationalStatusState
`CIBPerfStats` | `getPerfStats(CIBMonitoredObjectMBean monitoreObject, int statsType)` getPerfStats

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CIBProviderHandlerImpl

    public CIBProviderHandlerImpl(MfDiscoveryInfo config)
                           throws CIBIOException

  Constructor

Parameters:
  `config` - MfDiscoveryInfo
Throws:
  `java.lang.Exception`
  `CIBIOException`

### CIBProviderHandlerImpl

    public CIBProviderHandlerImpl(javax.management.MBeanServerConnection connection)

  Constructor

Parameters:
  `connection` - MBeanServerConnection

Method Detail

### createProviders

    public void createProviders(CIBMonitoredObjectMBean monitoredObject)
                         throws CIBException,
                                javax.management.JMException

  Allows to create the specific providers depending on the Monitorred object type

  Specified by:
    `createProviders` in interface `CIBProviderHandler`
  Parameters:
    `monitoredObject` - CIBMonitoredObjectMBean
  Throws:
    `CIBException`
    `javax.management.JMException`
    `CIBException`

### createServiceProviders

    public void createServiceProviders(CIBServiceMBean service)
                                throws CIBException,
                                       javax.management.JMException

  Create providers for a CIBService

  Parameters:
    `service` - CIBServiceMBean
  Throws:
    `CIBException`
    `javax.management.JMException`

### createServiceProviders

    public void createServiceProviders(CIBServiceMBean service,
                                       java.util.Map map)
                                throws CIBException,
                                       javax.management.JMException

  Create providers for a CIBService

  Parameters:
    `service` - CIBServiceMBean
    `map` - Map
  Throws:
    `CIBException`
    `javax.management.JMException`

### createApplicationProviders

    public void createApplicationProviders(CIBApplicationMBean application)
                                    throws CIBException,
                                           javax.management.JMException

  Create providers for a CIBApplication

  Parameters:
    `application` - CIBApplicationMBean
  Throws:
    `CIBException`
    `javax.management.JMException`

### addApplicationProviders

    public void addApplicationProviders(CIBApplicationMBean application,
                                        CIBServiceMBean[] services)
                                 throws CIBException,
                                        javax.management.JMException

  Add providers for a CIBApplication

  Parameters:
    `application` - CIBApplicationMBean
    `services` - CIBServiceMBean[]
  Throws:
    `CIBException`
    `javax.management.JMException`

### createExternalResourceProviders

    public void createExternalResourceProviders(CIBExternalResourceMBean externalResource)
                                         throws CIBException,
                                                javax.management.JMException

  Create providers for a CIBExternalResource

  Parameters:
    `externalResource` - CIBExternalResourceMBean
  Throws:
    `CIBException`
    `javax.management.JMException`

### createExternalResourceProviders

    public void createExternalResourceProviders(CIBExternalResourceMBean externalResource,
                                                java.util.Map map)
                                         throws CIBException,
                                                javax.management.JMException

  Create providers for a CIBExternalResource

  Parameters:
    `externalResource` - CIBExternalResourceMBean
    `map` - Map
  Throws:
    `CIBException`
    `javax.management.JMException`

### createResourceProviders

    public void createResourceProviders(CIBResourceMBean resource)
                                 throws CIBException,
                                        javax.management.JMException

  Create providers for a CIBResource

  Parameters:
    `resource` - CIBResourceMBean
  Throws:
    `CIBException`
    `javax.management.JMException`

### createResourceProviders

    public void createResourceProviders(CIBResourceMBean resource,
                                        java.util.Map map)
                                 throws CIBException,
                                        javax.management.JMException

  Create providers for a CIBResource

  Parameters:
    `resource` - CIBResourceMBean
    `map` - Map
  Throws:
    `CIBException`
    `javax.management.JMException`

### getAvailabilityStatusState

    public CIBAvailabilityStatusState getAvailabilityStatusState(CIBMonitoredObjectMBean monitoreObject,
                                                                 int stateType)
                                                          throws CIBProviderNotFoundException

  getAvailabilityStatusState

  Specified by:
    `getAvailabilityStatusState` in interface `CIBProviderHandler`
  Parameters:
    `monitoreObject` - CIBMonitoredObjectMBean
    `stateType` - int
  Returns:
    CIBAvailabilityStatusState
  Throws:
    `CIBProviderNotFoundException`

### getConfiguration

    public CIBConfiguration getConfiguration(CIBMonitoredObjectMBean monitoreObject,
                                             int configType)
                                      throws CIBProviderNotFoundException

  getConfiguration

  Specified by:
    `getConfiguration` in interface `CIBProviderHandler`
  Parameters:
    `monitoreObject` - CIBMonitoredObjectMBean
    `configType` - int
  Returns:
    CIBConfiguration
  Throws:
    `CIBProviderNotFoundException`

### getOperationalStatusState

    public CIBOperationalStatusState getOperationalStatusState(CIBMonitoredObjectMBean monitoreObject,
                                                               int stateType)
                                                        throws CIBProviderNotFoundException

  getOperationalStatusState

  Specified by:
    `getOperationalStatusState` in interface `CIBProviderHandler`
  Parameters:
    `monitoreObject` - CIBMonitoredObjectMBean
    `stateType` - int
  Returns:
    CIBOperationalStatusState
  Throws:
    `CIBProviderNotFoundException`

### getPerfStats

    public CIBPerfStats getPerfStats(CIBMonitoredObjectMBean monitoreObject,
                                     int statsType)
                              throws CIBAttributeNotFoundException,
                                     CIBIOException,
                                     CIBProviderNotFoundException

  getPerfStats

  Specified by:
    `getPerfStats` in interface `CIBProviderHandler`
  Parameters:
    `monitoreObject` - CIBMonitoredObjectMBean
    `statsType` - int
  Returns:
    CIBPerfStats
  Throws:
    `CIBAttributeNotFoundException`
    `CIBIOException`
    `CIBProviderNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD